javax.faces.convert

## Class BigIntegerConverter

- java.lang.Object
- - javax.faces.convert.BigIntegerConverter

- All Implemented Interfaces:
    Converter

      public class BigIntegerConverter
      extends Object
      implements Converter

  `Converter` implementation for `java.math.BigInteger` values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIGINTEGER_ID` The message identifier of the `FacesMessage` to be created if the conversion to `BigInteger` fails.
    `static String` | `CONVERTER_ID` The standard converter id for this converter.
    `static String` | `STRING_ID` The message identifier of the `FacesMessage` to be created if the conversion of the `BigInteger` value to `String` fails.

    - ### Fields inherited from interface javax.faces.convert.Converter

      `DATETIMECONVERTER_DEFAULT_TIMEZONE_IS_SYSTEM_TIMEZONE_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigIntegerConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAsObject(FacesContext context, UIComponent component, String value)` Convert the specified string value, which is associated with the specified `UIComponent`, into a model data object that is appropriate for being stored during the Apply Request Values phase of the request processing lifecycle.
    `String` | `getAsString(FacesContext context, UIComponent component, Object value)` Convert the specified model object value, which is associated with the specified `UIComponent`, into a String that is suitable for being included in the response generated during the Render Response phase of the request processing lifeycle.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONVERTER_ID

          public static final String CONVERTER_ID

      The standard converter id for this converter.

      See Also:
        Constant Field Values

    - #### BIGINTEGER_ID

          public static final String BIGINTEGER_ID

      The message identifier of the `FacesMessage` to be created if the conversion to `BigInteger` fails. The message format string for this message may optionally include the following placeholders:

      - `{0}` replaced by the unconverted value.
      - `{1}` replaced by an example value.
      - `{2}` replaced by a `String` whose value is the label of the input component that produced this message.
      See Also:
        Constant Field Values

    - #### STRING_ID

          public static final String STRING_ID

      The message identifier of the `FacesMessage` to be created if the conversion of the `BigInteger` value to `String` fails. The message format string for this message may optionally include the following placeholders:

      - `{0}` relaced by the unconverted value.
      - `{1}` replaced by a `String` whose value is the label of the input component that produced this message.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BigIntegerConverter

          public BigIntegerConverter()

  - ### Method Detail

    - #### getAsObject

          public Object getAsObject(FacesContext context,
                           UIComponent component,
                           String value)

      Description copied from interface: `Converter`

      Convert the specified string value, which is associated with the specified `UIComponent`, into a model data object that is appropriate for being stored during the Apply Request Values phase of the request processing lifecycle.

      Specified by:
        `getAsObject` in interface `Converter`
      Parameters:
        `context` - `FacesContext` for the request being processed
        `component` - `UIComponent` with which this model object value is associated
        `value` - String value to be converted (may be `null`)
      Returns:
        `null` if the value to convert is `null`, otherwise the result of the conversion
      Throws:
        `ConverterException` - if conversion cannot be successfully performed
        `NullPointerException` - if `context` or `component` is `null`

    - #### getAsString

          public String getAsString(FacesContext context,
                           UIComponent component,
                           Object value)

      Description copied from interface: `Converter`

      Convert the specified model object value, which is associated with the specified `UIComponent`, into a String that is suitable for being included in the response generated during the Render Response phase of the request processing lifeycle.

      Specified by:
        `getAsString` in interface `Converter`
      Parameters:
        `context` - `FacesContext` for the request being processed
        `component` - `UIComponent` with which this model object value is associated
        `value` - Model object value to be converted (may be `null`)
      Returns:
        a zero-length String if value is `null`, otherwise the result of the conversion
      Throws:
        `ConverterException` - if conversion cannot be successfully performed
        `NullPointerException` - if `context` or `component` is `null`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.